Page MenuHomePhabricator

Add loading and error states to cardstack to enhance and clarify UX
Closed, ResolvedPublic

Description

The cardstack element needs a loading state and an error state to help users understand what's going on. Cards take a short period of time to load initially and on each API request so there may be times when the user has to wait. Currently, the element is invisible during this time. We need to add some standard loading UI elements to tell the user that we're working on getting them what they need.

We also need to handle error states by showing the user an error message with helpful information/CTAs.

Event Timeline

AnneT created this task.Sep 18 2019, 3:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2019, 3:57 PM
Mholloway moved this task from Backlog to Ready for dev on the MachineVision board.Oct 2 2019, 5:17 PM
AnneT claimed this task.Oct 18 2019, 4:11 PM

Change 544228 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Add loading and error states

https://gerrit.wikimedia.org/r/544228

Change 544228 abandoned by Anne Tomasevich:
Add loading and error states

https://gerrit.wikimedia.org/r/544228

Change 544228 restored by Anne Tomasevich:
Add loading and error states

https://gerrit.wikimedia.org/r/544228

Change 544228 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Add loading and error states

https://gerrit.wikimedia.org/r/544228

egardner moved this task from Ready for dev to Done on the MachineVision board.Oct 20 2019, 11:37 PM
egardner moved this task from Doing to Needs QA on the Structured-Data-Backlog (Current Work) board.
Ramsey-WMF closed this task as Resolved.Dec 16 2019, 5:47 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Tested on prod multiple times, haven't seen an issue.